Name:		soundwrapper
Version:	1.7
Release:	%mkrel 3
Summary:	Directs a program's sound output to Pulse, ALSA, aRts or esd
Group:		System/Base
License:	LGPL
URL:		http://svnweb.mageia.org/packages/cauldron/%{name}/current/
Source0:	%{name}-%{version}.tar.bz2

BuildRequires: libpulseaudio-devel 
BuildRequires: libalsa-devel 

%description
When placed before a command to run a program with some audio component,
that program's audio output is redirected to the ALSA sound device or to
the PulseAudio, aRts, or EsounD sound servers if either of them is in control
of the sound device, enabling programs to play sounds at the same time

In Mageia aRts and EsounD support is disabled.


%prep
%setup -q

aclocal
automake --add-missing
autoconf

%build
%configure --disable-arts --disable-esd
%make

%install
%makeinstall

%files
%{_bindir}/soundwrapper


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.7-3.mga4
+ Revision: 518418
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.7-2.mga3
+ Revision: 382393
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 05 2012 luigiwalser <luigiwalser> 1.7-1.mga2
+ Revision: 204839
- Release 1.7
- link to pthread to fix mga #1085 (use with gdb), noted by Maarten Vanraes
- don't redirect sound when osspd is running, suggested by Colin Guthrie

* Sun Jan 22 2012 kamil <kamil> 1.6-9.mga2
+ Revision: 199392
- disable URL - no valid known (mga#3035)
- note in description that arts and esd is disabled
- clean .spec

* Mon May 09 2011 misc <misc> 1.6-8.mga1
+ Revision: 96675
- add patch to disable esd

* Sun May 01 2011 pterjan <pterjan> 1.6-7.mga1
+ Revision: 94069
- Force linking with pthread so that we are able to use gdb, as found by Maarten

* Tue Feb 22 2011 mikala <mikala> 1.6-6.mga1
+ Revision: 56600
- Remove BuildRoot
- Remove old conflicts
- Remove the kde3 includedir
- imported package soundwrapper


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.6-6mdv2011.0
+ Revision: 607552
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 1.6-5mdv2010.1
+ Revision: 524117
- rebuilt for 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.6-4mdv2010.0
+ Revision: 427205
- rebuild

* Mon Feb 09 2009 Helio Chissini de Castro <helio@mandriva.com> 1.6-3mdv2009.1
+ Revision: 338900
- Adios arts..

* Wed Dec 24 2008 Adam Williamson <awilliamson@mandriva.org> 1.6-2mdv2009.1
+ Revision: 318226
- buildrequires kde3-macros (for kde3_includedir)
- quick fix for arts header location

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Thu Feb 07 2008 Frederic Crozat <fcrozat@mandriva.com> 1.6-1mdv2008.1
+ Revision: 163690
- Release 1.6 : add suport for PulseAudio using padsp
- Remove patch0, better handled in version 1.6 directly

* Fri Jan 04 2008 Frederic Crozat <fcrozat@mandriva.com> 1.5-4mdv2008.1
+ Revision: 144917
- Patch0: add support for PulseAudio

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Mon Sep 11 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-09-11 16:04:43 (60827)
- Remove explicit aoss dependency. Drak tools should know when to install it as
  reported by David Walser

* Tue Sep 05 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-09-05 22:48:14 (60173)
- Added aoss as a requires to alsa, since code relies on this, otherwise alsa
  test is useless.
- Add %%mkrel

* Tue Sep 05 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-09-05 21:31:23 (60165)
- import soundwrapper-1.5-1mdk

* Sat Dec 03 2005 David Walser <luigiwalser@yahoo.com> 1.5-1mdk
- don't return immediately if execvp fails

* Sun Nov 20 2005 David Walser <luigiwalser@yahoo.com> 1.4-1mdk
- add support for ALSA using aoss

* Fri Sep 03 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3-3mdk
- add conflict in order to ease update

* Thu Sep 02 2004 Olivier Blin <blino@mandrake.org> 1.3-2mdk
- fix linking

* Thu Aug 26 2004 David Walser <luigiwalser@yahoo.com> 1.3-1mdk
- fix braces (silly emacs :o) (thanks blino)
- don't use absolute filenames for libs, it breaks 64bit arches (thanks blino)

* Wed Aug 25 2004 David Walser <luigiwalser@yahoo.com> 1.2-1mdk
- use dlopen() to avoid direct requires on libesd/libartsc

* Sun Apr 25 2004 David Walser <luigiwalser@yahoo.com> 1.1-1mdk
- fix stupid bug

